﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;
public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand("SELECT CustomerId, Name, Country FROM Customers"))
                {
                    cmd.Connection = con;
                    using (SqlDataAdapter sda = new SqlDataAdapter(cmd))
                    {
                        DataTable dt = new DataTable();
                        sda.Fill(dt);
                        GridView1.DataSource = dt;
                        GridView1.DataBind();
                    }
                }
            }
        }
    }

protected void CopyToDataTable(object sender, EventArgs e)
{
    //Create a new DataTable.
    DataTable dtCustomers = new DataTable("Customers");

    //Add columns to DataTable.
    foreach (TableCell cell in GridView1.HeaderRow.Cells)
    {
        dtCustomers.Columns.Add(cell.Text);
    }

    //Loop through the GridView and copy rows.
    foreach (GridViewRow row in GridView1.Rows)
    {
        dtCustomers.Rows.Add();
        for (int i = 0; i < row.Cells.Count; i++)
        {
            dtCustomers.Rows[row.RowIndex][i] = row.Cells[i].Text;
        }
    }
}
}