﻿Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
            Using con As New SqlConnection(constr)
                Using cmd As New SqlCommand("SELECT CustomerId, Name, Country FROM Customers")
                    cmd.Connection = con
                    Using sda As New SqlDataAdapter(cmd)
                        Dim dt As New DataTable()
                        sda.Fill(dt)
                        GridView1.DataSource = dt
                        GridView1.DataBind()
                    End Using
                End Using
            End Using
        End If
    End Sub

    Protected Sub CopyToDataTable(sender As Object, e As EventArgs)
        'Create a new DataTable.
        Dim dtCustomers As New DataTable("Customers")

        'Add columns to DataTable.
        For Each cell As TableCell In GridView1.HeaderRow.Cells
            dtCustomers.Columns.Add(cell.Text)
        Next

        'Loop through the GridView and copy rows.
        For Each row As GridViewRow In GridView1.Rows
            dtCustomers.Rows.Add()
            For i As Integer = 0 To row.Cells.Count - 1
                dtCustomers.Rows(row.RowIndex)(i) = row.Cells(i).Text
            Next
        Next
    End Sub
End Class
